export { LocalStorageDirective, ControlValueAccessorDirective, NativeValueAccessorDirective } from './lib/directives';
export { LocalStorageService } from './lib/services/ngx-localstorage.service';
export { NgxLocalstorageConfiguration } from './lib/interfaces/storage-configuration';
export { StorageSerializer } from './lib/interfaces/storage-serializer';
export { NgxLocalStorageFeatures, NgxLocalstorageFeature, provideNgxLocalstorage, SerializerFeature, withSerializer } from './lib/provider';
export { NGX_LOCAL_STORAGE_CONFIG } from './lib/tokens/storage-config';
export { STORAGE_SUPPORT } from './lib/tokens/storage';
export { NGX_LOCAL_STORAGE_SERIALIZER } from './lib/tokens/storage-serializer';
export { VERSION } from './lib/version';
