import { StorageSerializer } from '../interfaces/storage-serializer';
import * as i0 from "@angular/core";
/**
 * Provides a default serialization mechanism using JSON.
 */
export declare class DefaultSerializer implements StorageSerializer {
    /**
     * @inheritdoc
     */
    serialize<T = unknown>(value: T): string;
    /**
     * @inheritdoc
     */
    deserialize<T = unknown>(storedValue: string): T;
    static ɵfac: i0.ɵɵFactoryDeclaration<DefaultSerializer, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DefaultSerializer>;
}
