/**
 * Gets an objects property based on its path.
 * @param object Object to access
 * @param path Path to the property
 */
export declare const getPropByPath: (object: unknown, path: string[]) => unknown | undefined;
/**
* Sets an objects property based on its path.
* @param object Object whose value to set
* @param path Path to the property
* @param value Value to set
* @param falsyTransformer optional transformer handling falsy values
*/
export declare const setPropByPath: (object: unknown, path: string[], value: unknown, falsyTransformer?: () => unknown) => void;
